Bug 585817 - Review Request: R-caTools - Moving window statistics, GIF, Base64, ROC AUC, etc
Summary: Review Request: R-caTools - Moving window statistics, GIF, Base64, ROC AUC, etc
Status: CLOSED DUPLICATE of bug 603311
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 584966
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-26 06:27 UTC by josef radinger
Modified: 2010-06-12 10:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-12 10:31:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora-review+


Attachments (Terms of Use)

Description josef radinger 2010-04-26 06:27:27 UTC
Spec URL: http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-caTools.spec
SRPM URL: http://www.nosuchhost.net/~cheese/fedora/packages/devel/R-caTools-1.10-1.fc12.src.rpm
Description: 
Contains several basic utility functions including: moving (rolling, running).
window statistic functions, read/write for GIF and ENVI binary files, fast.
calculation of AUC, LogitBoost classifier, base64 encoder/decoder, round-off.
error free sum and cumsum, etc.

------------------
depends on yet to review R-bitops

Comment 2 Pierre-YvesChibon 2010-05-12 08:12:57 UTC
* source files match upstream:
   sha1sum caTools_1.10.tar.gz 
e9f393dbfe3928448ccdc40dd011987d73acce9b  caTools_1.10.tar.gz
   sha1sum rpmbuild/SOURCES/caTools_1.10.tar.gz 
e9f393dbfe3928448ccdc40dd011987d73acce9b  rpmbuild/SOURCES/caTools_1.10.tar.gz

* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in koji (
http://koji.fedoraproject.org/koji/taskinfo?taskID=2182053 ).
-  Although the build produces a lot of warnings, you might want to contact upstream to see if you can arrange some of these.

* package installs properly
* example from ?caTools runs properly
* rpmlint produces 2 warnings, safe to ignore (spelling).
  3 packages and 0 specfiles checked; 0 errors, 2 warnings.
* final provides and requires are sane
* %check is present and all tests pass.
-  It seems to produce a WARNING on the cross-reference test, not a blocker though

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.


** APPROVED **

Comment 3 Pierre-YvesChibon 2010-05-12 08:21:42 UTC
btw as a side note, you could move:
# remove exec-bits
cd %{_builddir}/%{packname}/%{packname}/src
chmod -x *.c *.h *.cpp

to %prep and then something like
chmod -x %{packname}/src/*

Comment 4 Pierre-YvesChibon 2010-05-18 11:00:45 UTC
ping ?

Comment 5 Pierre-YvesChibon 2010-06-02 11:37:12 UTC
ping ?

Comment 6 Rakesh Pandit 2010-06-09 13:44:05 UTC
I guess you will have to initiate non-responsive maintainer process for him and re-submit for review (guess second is not compulsory as per policy) but that seems to be better here.

Comment 7 Chen Lei 2010-06-12 03:41:23 UTC
Hi Pierre,

I think you can open a new review request for this package, then mark this report as a duplicate.

Since this package is already reviewed, I'm happy to approve this package for you.

Chen Lei

Comment 8 Pierre-YvesChibon 2010-06-12 10:31:05 UTC
I hereby close this bug as a duplicate of #603311

*** This bug has been marked as a duplicate of bug 603311 ***


Note You need to log in before you can comment on or make changes to this bug.